AusweisApp(1)

NUME
AusweisApp - aplicația oficială de autentificare pentru cărțile de identitate și permisele de ședere germane

SINOPSIS

AusweisApp [-h|--help]
AusweisApp [--help-all]
AusweisApp [-v|--version]
AusweisApp [--show]
AusweisApp [--keep] [--no-logfile] [--no-loghandler] [--show] [--no-proxy] [--ui { qml|websocket }] [--port PORT] [--address ADRESA]

DESCRIERE
AusweisApp vă permite să vă autentificați în fața siturilor web prin intermediul cărții de identitate și al permisului de ședere german.

Aveți nevoie de:
* o carte de identitate care este activată pentru identificarea online
* un dispozitiv NFC compatibil (majoritatea cititoarelor NFC ar trebui să funcționeze, telefoanele cu NFC pot fi * de asemenea utilizate)
* AusweisApp
* un navigator web
* un sit web care acceptă autentificarea prin intermediul cărții de identitate germane

Atunci când vizitați un astfel de sit web, AusweisApp va fi activat și vă va întreba dacă doriți să vă autentificați pe situl respectiv.

Acest program va furniza un server web local pentru ca navigatorul dvs. să aibă o interfață cu acesta.

OPȚIUNI

-h, --help
    Afișează un scurt mesaj de utilizare.

--help-all
    Afișează ajutorul, inclusiv opțiunile specifice Qt.

-v, --version
    Afișează informații despre versiune.

--keep
    În mod implicit, AusweisApp scrie un jurnal într-un fișier care corespunde cu „${TMP}/AusweisApp.*.log”. Când programul se termină, acesta va fi șters. Această opțiune previne ștergerea.

--no-logfile
    Suprimă scrierea unui fișier jurnal în „${TMP}/AusweisApp.*.log”. Jurnalele vor fi scrise în continuare la ieșirea standard.

--no-loghandler
    Dezactivează gestionarul de jurnal implicit. Acest lucru dezactivează jurnalizarea către ieșirea standard.

--show
    Afișează fereastra de întâmpinare la pornire.

--no-proxy
    Dezactivează proxy-ul sistemului.

--ui { qml|webservice|websocket }
    Această opțiune permite mai multe valori. - „qml” va porni programul cu o interfață vizibilă. - „websocket” va permite pornirea în fundal ca SDK. Acest lucru este util doar atunci când se integrează AusweisApp în alte programe. - „webservice” pornește ascultarea pe portul/adresa dată.

    Valoarea implicită este „qml,webservice,websocket”.

--port PORT
    Schimbă portul de ascultare pentru WebSocket. Valoarea implicită este 24727. Selectarea lui „0” este un caz special. AusweisApp va selecta apoi un port aleatoriu și va scrie numărul portului într-un fișier în „${TMP}/AusweisApp.<PID>.port”.

--address ADRESA
    Utilizează adresele date pentru conectarea interfeței. În mod normal, AusweisApp este conectat doar la „localhost”, deoarece este o cerință de securitate. Utilă doar pentru testare. Această opțiune permite mai multe valori.

VALOAREA RETURNATĂ
AusweisApp va returna 0 atunci când se termină cu succes.

MEDIU

QT_QPA_PLATFORM={ wayland|X11 }
    Puteți forța tipul de sesiune la wayland sau X11. Acest lucru este necesar doar în scopuri de depanare. Variabila XDG_SESSION_TYPE va fi ignorată pe gnome.

FIȘIERE

~/.config/AusweisApp_CE/AusweisApp2.conf Ruta fișierului în care este salvată configurația utilizatorului.

AVERTISMENTE
În prezent, nu există nicio modalitate de a încheia programul pe gnome, deoarece TrayIcon (pictograma din tava sistemului) este obligatorie.

AUTOR
Această pagină de manual a fost scrisă de Lee Garrett (debian@rocketjump.eu) pentru Debian (dar poate fi folosită și de alții).

CONSULTAȚI ȘI
https://www.ausweisapp.bund.de/en
https://www.ausweisapp.bund.de/sdk

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.